package cn.feast.coding.mapper.generator;

import cn.feast.coding.model.generator.Colunm;
import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface ColunmMapper{
    Integer save(Colunm model);

    void update(Colunm model);

    void deleteById(Integer id);

    int queryByCount(Colunm model);

    List<Colunm> queryByList(Map paramsMap);
	
	List<Colunm> queryByColunm(Colunm model);

    Colunm queryById(Integer id);

    List<Colunm> queryByTable(Integer tableId);

    Colunm queryPrimaryKey(Integer tableId);

    void deleteProjectRelatedData(Integer projectId);

    Integer saveByBatch(List<Colunm> list);
}